Bug 247058 - devel/llvm*: Avoid extraneous escapes
Summary: devel/llvm*: Avoid extraneous escapes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kyle Evans
URL:
Keywords:
Depends on:
Blocks: 229925
  Show dependency treegraph
 
Reported: 2020-06-07 18:21 UTC by Kyle Evans
Modified: 2020-06-10 04:15 UTC (History)
1 user (show)

See Also:
brooks: maintainer-feedback+


Attachments
svn(1) diff against the ports tree (3.47 KB, patch)
2020-06-07 18:21 UTC, Kyle Evans
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle Evans freebsd_committer 2020-06-07 18:21:30 UTC
Created attachment 215328 [details]
svn(1) diff against the ports tree

All of these single quotes are safe on their own, as they're enclosed in double quotes. Removes the escapes, because they're currently passed through to the underlying regex engine as \' to be interpreted as '.

A future change will forbid this escape, then an even further future change will actually imbue \' with special meaning based on GNU interpretation ("end of subject").

No PORTREVISION bump or rebuild is needed, as they're functionally equivalent.
Comment 1 Brooks Davis freebsd_committer 2020-06-09 21:19:16 UTC
Please feel free to commit.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2020-06-10 03:08:53 UTC
Comment on attachment 215328 [details]
svn(1) diff against the ports tree

Approved by: koobs (mentor)
MFH: <branch|No> <reason>
Comment 3 commit-hook freebsd_committer 2020-06-10 04:08:23 UTC
A commit references this bug:

Author: kevans
Date: Wed Jun 10 04:07:21 UTC 2020
New revision: 538368
URL: https://svnweb.freebsd.org/changeset/ports/538368

Log:
  devel/llvm*: Avoid extraneous escapes

  All of these single quotes are safe on their own, as they're enclosed in
  double quotes. Removes the escapes, because they're currently passed through
  to the underlying regex engine as \' to be interpreted as '.

  A future change will forbid this escape, then an even further future change
  will actually imbue \' with special meaning based on GNU interpretation
  ("end of subject").

  No PORTREVISION bump or rebuild is needed, as they're functionally
  equivalent.

  PR:		247058
  Approved by:	koobs (mentor), brooks (maintainer)
  MFH:		2020Q2 (blanket: trivial build fix)

Changes:
  head/devel/llvm-cheri/Makefile
  head/devel/llvm-devel/Makefile
  head/devel/llvm10/Makefile
  head/devel/llvm60/Makefile
  head/devel/llvm70/Makefile
  head/devel/llvm80/Makefile
  head/devel/llvm90/Makefile
Comment 4 Kyle Evans freebsd_committer 2020-06-10 04:15:45 UTC
I note that this line was actually only added with the sphinx upgrade @ r535791, so no further action will happen or is required.